> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerschedulesaverecurrenceexception



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/Schedule/saveRecurrenceException
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Schedule/saveRecurrenceException:
    post:
      tags:
        - Schedule
      operationId: Schedule_SaveRecurrenceException
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveRecurrenceExceptionRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaveRecurrenceExceptionResult'
components:
  schemas:
    SaveRecurrenceExceptionRequest:
      type: object
      additionalProperties: false
      properties:
        Exceptions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/RecurrenceException'
    SaveRecurrenceExceptionResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfResult'
        - type: object
          additionalProperties: false
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        PeriodId:
          type: string
          format: guid
        OldStartDateTime:
          type: string
          format: date-time
        NewStartDateTime:
          type: string
          format: date-time
          nullable: true
        NewEndDateTime:
          type: string
          format: date-time
          nullable: true
    MultiValueResultOfResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Result2'
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    Result2:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            Id:
              type: string
              format: guid
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````